public interface ISet<E> extends Iterable<E> {
    public int size();
    public default boolean contains(E elem) {
        for (E x : this) {
            if (x.equals(elem)) {
                return true;
            }
        }
        return false;
    }
    public void add(E elem);
    public boolean isEmpty();
}
